Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathCurvetoArgs Class Reference

`#include <Drawable.h>`

## Public Member Functions
| PathCurvetoArgs (void)
| PathCurvetoArgs (double x1_, double y1_, double x2_, double y2_, double x_, double y_)
| PathCurvetoArgs (const PathCurvetoArgs &original_)
| ~PathCurvetoArgs (void)
void | x1 (double x1_)
double | x1 (void) const
void | y1 (double y1_)
double | y1 (void) const
void | x2 (double x2_)
double | x2 (void) const
void | y2 (double y2_)
double | y2 (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 2540 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathCurvetoArgs() [1/3]

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | void |  | ) |

Definition at line 1942 of file Drawable.cpp.

## ◆ PathCurvetoArgs() [2/3]

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | double | x1_,
|  | double | y1_,
|  | double | x2_,
|  | double | y2_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1952 of file Drawable.cpp.

## ◆ PathCurvetoArgs() [3/3]

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | const PathCurvetoArgs & | original_ | ) |

Definition at line 1964 of file Drawable.cpp.

## ◆ ~PathCurvetoArgs()

Magick::PathCurvetoArgs::~PathCurvetoArgs | ( | void |  | ) |

Definition at line 1974 of file Drawable.cpp.

## Member Function Documentation

## ◆ x() [1/2]

void Magick::PathCurvetoArgs::x | ( | double | x_ | ) |
| inline

Definition at line 2589 of file Drawable.h.

## ◆ x() [2/2]

double Magick::PathCurvetoArgs::x | ( | void |  | ) | const
| inline

Definition at line 2593 of file Drawable.h.

## ◆ x1() [1/2]

void Magick::PathCurvetoArgs::x1 | ( | double | x1_ | ) |
| inline

Definition at line 2553 of file Drawable.h.

## ◆ x1() [2/2]

double Magick::PathCurvetoArgs::x1 | ( | void |  | ) | const
| inline

Definition at line 2557 of file Drawable.h.

## ◆ x2() [1/2]

void Magick::PathCurvetoArgs::x2 | ( | double | x2_ | ) |
| inline

Definition at line 2571 of file Drawable.h.

## ◆ x2() [2/2]

double Magick::PathCurvetoArgs::x2 | ( | void |  | ) | const
| inline

Definition at line 2575 of file Drawable.h.

## ◆ y() [1/2]

void Magick::PathCurvetoArgs::y | ( | double | y_ | ) |
| inline

Definition at line 2598 of file Drawable.h.

## ◆ y() [2/2]

double Magick::PathCurvetoArgs::y | ( | void |  | ) | const
| inline

Definition at line 2602 of file Drawable.h.

## ◆ y1() [1/2]

void Magick::PathCurvetoArgs::y1 | ( | double | y1_ | ) |
| inline

Definition at line 2562 of file Drawable.h.

## ◆ y1() [2/2]

double Magick::PathCurvetoArgs::y1 | ( | void |  | ) | const
| inline

Definition at line 2566 of file Drawable.h.

## ◆ y2() [1/2]

void Magick::PathCurvetoArgs::y2 | ( | double | y2_ | ) |
| inline

Definition at line 2580 of file Drawable.h.

## ◆ y2() [2/2]

double Magick::PathCurvetoArgs::y2 | ( | void |  | ) | const
| inline

Definition at line 2584 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp